Recreate view
POST /logs/{log_id}/views/{view_name}/recreate
POST
/logs/{log_id}/views/{view_name}/recreate
Recreates a failed view with new WASM code. This atomically deletes the existing view and creates a new one with the same name in a single transaction. The new view will automatically restore from the latest snapshot, allowing it to resume processing from where it left off. Use this to fix bugs in view code without losing processed state. Required role: member.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” log_id
required
string
Log ID (UUID)
view_name
required
string
View name to recreate
Request Body required
Section titled “Request Body required ”New WASM component binary
Array<integer>
Responses
Section titled “ Responses ”View recreated
object
success
required
boolean
Invalid request
Unauthorized
View or log not found
Server error